Subject: bug#2975: texinfo-master-menu and emacs.texi

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2011 13:00:11 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Štěpán Němec <[email-masked]>,
>         [email-masked], [email-masked],
>         Karl Berry
>  <[email-masked]>
> Date: Thu, 08 Dec 2011 09:46:49 -0500
> 
> Eli writes:
> > The simplest fix would be to remove the updating of the @node lines.
> > Would anyone object?  Karl?
> 
> That would be great.

I made it extremely optional instead: only "C-u N" where N is a number
would cause @node lines to be updated with next/prev/up pointers.

> Eli writes:
> > I guess I'm saying that the importance of these commands in the
> > context of maintaining Emacs documentation is somewhat exaggerated in
> > this thread, to say the least ;-)
> 
> IIUC the OP is not directly interested in maintaining Emacs
> documentation but rather is trying to write a manual for another project
> (BBDB, which happens to be an Emacs package).

He was asking about the effects of invoking these commands on
emacs.texi.

> Eli writes:
> > Here's what I see there:
> >  . texinfo-master-menu indeed does not support multiple-file manuals,
> >    so it removed all the menu items whose nodes are in files other
> >    than emacs.texi itself
> 
> A good fix here would be for texinfo-master-menu to detect the problem
> and signal a warning/error.
> 
> >  . texinfo-master-menu doesn't grok @iftex and @ifnottext conditionals
> >    (and probably the other @if... conditionals as well), so it
> >    produced bad Next and Prev pointers, because, e.g., this:
> 
> If leaving Node pointers alone fixes this problem, then there's nothing
> else to do, but otherwise texinfo-master-menu should try and detect
> these problematic cases and signal an error/warning.

The detection and error signaling are left as an exercise for the
interested readers ;-)